*{
    box-sizing: border-box;
}
html{
    scroll-behavior:initial;
}

body{
    margin: 0;
    padding: 0;
    background-color: hsl(0, 0%, 100%);
   font-family:'Times New Roman', Times, serif;
   height: 100%;
}

                            /*HEADER*/
header{
    width: 30%;
    
    float: left;
    color: black;
    padding-top: 0;
}   
.headerdiv{
    width: 30%;
    padding: 1em;
    float: left;
    height: 100%;
}
#logoR{
    height: 100%;
    width: 50%;
    margin-left:  5%;
}

.headerdiv a{
    color: black;
    text-decoration: none;
    font-weight: 600;
    cursor: alias;
}

/*NAV*/
nav {
    height: 13%;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;
    background-color: rgb(5, 122, 5);
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
}.nav-container {
display: flex;
justify-content: space-between;
align-items: center;
padding: 1em 2em;
max-width: 1200px;
margin: auto;
}

.logo img {
height: 50px;
}

.nav-links {
display: flex;
align-items: center;
gap: 1.5em;
position: absolute;
right: 3vw;
}
                           
.nav-links :hover{
text-decoration: underline;

    cursor: pointer;
    color: black;
                        }
                    
.nav-links a, .nav-links select, .nav-links button {
font-size: 1em;
font-weight: 500;
text-decoration: none;
background: none;
border: none;
cursor: pointer;
color: #ffffff;
}
                    
.nav-links .button {
  padding: 0.5em 1em;
  background: linear-gradient(100deg, #6bcaf3, #4a4af5);
  color: white;
  border-radius: 5px;
  transition: all 0.5s linear;
  }
  .nav-links .button:hover{
    transform: scale(1.1);
    background:linear-gradient(100deg, hsl(130, 96%, 74%), hsl(120, 95%, 62%));
    
  }
                    
.menu-toggle {
display: none;
font-size: 2em;
background: none;
border: none;
cursor: pointer;

}
 
.navdiv{
    width: 70%;
    padding: 2%;
    padding-top: 1%;
    float: left;
    height: 100%;
} 
#dropdown{
  display:block;
}
#dropdownb:hover{
 text-decoration: underline;
 color: black;
 
}
#dropdownb{
 width:100%;
 height: 13vh;

}

#content{
 display:none;
 flex-direction: column;
 justify-content: center;
 align-items: center;
 gap: 10px;
 border: #333 1px solid;
 position: absolute;
 top: 15.4vh;
 width: 25%;
 background-color: rgb(5, 122, 5);
text-align:left;
}

#dropdown:hover #content{
 display: flex;
 flex-direction: column;
 justify-content: baseline;
 align-items: baseline;
}


 

li{
 width: 100%;
list-style-type: none;
 text-decoration: none;
}

li:hover{
 background-color: #6fff00;
}

#dropdownv{
 display:block;
}

#dropdownvb{
 text-align:center;
 width:100%;
 height: 13vh;
 
}

#dropdownvb:hover{
 text-decoration:underline ;
 color: black;
 
}

#contentv{
 display:none;
 flex-direction: column;
 justify-content: baseline;
 align-items: baseline;
 gap: 10px;
 border: #333 1px solid;
 position: absolute;
 top: 15.4vh;
 width: 25%;
 background-color: rgb(5, 122, 5);
text-align: center;
}
#dropdownv:hover #contentv{
 display: flex;
}

#btnn{
  width: 100%;
text-align: left;
}




#langs{
 text-decoration: none;
 border: 0;
 background-color: rgb(5, 122, 5);
}






/*MAIN*/
main{
  min-height: 75%;
  display:flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 10%;
  gap: 10px;
}

.container{
  width: 33vw;
  min-height: 52vh;
  display:flex;
  flex-direction: column;
  border-radius: 5%;
  align-items: center;
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.589);
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}
.kimlik{
  width: 90%;
  height: 70%;
}
.aboutKim{
  width: auto;
  height: auto;
  padding-left: 5%;
  padding-right: 5%;
  padding-top: 2%;
  padding-bottom: 2%;
  margin-bottom: 3%;
  background-color: rgb(139, 219, 19);
  border:none;
  transition: all 0.2s ease-in-out;
  color: black;
  text-decoration: none;
}
.aboutKim:hover{
  cursor: pointer;
  transform: scale(1.1);
  background-color: rgb(254, 254, 19);
  
}

.whatsapp{
    position: fixed;
    bottom: 4%;
    right: 4%;
    z-index: 999;
    cursor: pointer;
    font-size: xx-large;
    
}
.whatsapp img{
    width: 70px;
    height: 70px;
}






/*FOOTER*/
footer{
  background-color: hsl(230, 96%, 19%);
  min-height: 65vh;
  }
  #footerDiv{
     height: 40vh;
     display: flex;
     flex-direction: column;
  }
  
  #akLogo{
     width: 9%;
     height: 30%;
     margin-top: 3%;
     margin-left: 4%;
    
  }
  #footerAdres{
     display:flex;
     flex-direction: column;
     color: white;
     width: 20vw;
     padding: 2%;
     height: 20vh;
  }
  #footerSpan{
     width: 15vw;
     display: flex;
     flex-direction: column;
     gap: 8px;
     align-items: center;
     position: relative;
     left: 30vw;
     bottom: 15vh;
  }
  .footera{
    color: white;
    text-decoration: none;
    width: 25vw;
    display: block;
  }
  .footera:hover{
     text-decoration: underline;
  }
 
  #dropdownv2{
    display:flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
    right: 4%;
    background-color: hsl(230, 96%, 19%) ;
  }
  
  #contentv2{
   display:none;
   flex-direction: column;
   justify-content: center;
   align-items: center;
   gap: 10px;
   border: #333 1px solid;
   position: absolute;
   top: 3vh;
   width: 23vw;
   background-color: rgb(255, 207, 123);
  text-align: center;
  }
  
  #dropdown2{
    display:flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
    right: 4%;
    background-color: hsl(230, 96%, 19%) ;
  }
  
  #content2{
   display:none;
   flex-direction: column;
   justify-content: center;
   align-items: center;
   gap: 10px;
   border: #333 1px solid;
   position: absolute;
   top: 3vh;
   width: 23vw;
   background-color: rgb(255, 207, 123);
  text-align: center;
  }
  
  #btnf{
    background-color: hsl(230, 96%, 19%) ;
    color: white;
    border: none;
    position: relative;
    right: 11.5vw;
    
  }
  
  #btnf:hover{
    cursor: pointer;
    text-decoration: underline;
  }
  
  footer ol a{
  border: none;  
  text-decoration: none;
  color: #333;
  }
  
  footer ol a:hover{
    border: none;  
    text-decoration:underline;
    color: black;
    }
  
  #swyaz{
    display: flex;
    justify-content: space-around;
    justify-content:end;
    margin-right: 2%;
    margin-bottom: 2%;
    position: relative;
    bottom:120%;
  }
  #swyaz a:hover{
    background-color: hsl(258, 87%, 97%);
  }
  #imo{
    width: 48px;
    height: 48px;
  }
  .whatsapp{
    position: fixed;
    bottom: 4%;
    right: 4%;
    z-index: 999;
    cursor: pointer;
    font-size: xx-large;
    
}
.whatsapp img{
    width: 70px;
    height: 70px;
}






 @media (max-width: 768px) {
  .menu-toggle {
    display: block;
}
.nav-links {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background: rgb(5, 122, 5);
    flex-direction: column;
    align-items: center;
    gap: 1em;
    padding: 1em 0;
    box-shadow: 0 4px 10px rgba(0,0,0,0.1);
}

.nav-links.show {
    display: flex;
  gap: 15px;
}

#content{
  width: 40vw;
  position: relative;
  left: -2vw;
  top: 3vh;
  text-align: center;
  background-color: rgb(201, 198, 6);
  color: black;
}

li:hover{
  background-color: rgb(201, 198, 6);
}

#contentv{
  width: 40vw;
  position: relative;
  left: -2vw;
  top: 6vh;
  text-align: center;
  background-color: rgb(201, 198, 6);
  color: black;

}
#dropdownb{
  height: 0;
  position: relative;
  right: 3vw;
}

#dropdownvb{
  height: 0;
  position: relative;
  right: 3vw;
  top: 3vh;
}
    #ikamet{
      position: relative;
      left: 0;
      
    }
    #ikamet:hover{
      text-decoration: underline;
    }

    /*MAIN*/
    main{
      display:flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      padding: 10%;
      gap: 5%;
    }
    .container{
      width: 55vw;
      min-height: 32vh;
      display: flex;
      flex-direction: column;
      margin-top: 20%;
      align-items: center;
      box-shadow: 0 8px 16px rgba(0, 0, 0, 0.589);
      border-radius: 5%;
    }
   
    .kimlik{
      width: 90%;
      height: 70%;
    }
    .aboutKim{
      width: auto;
      height: auto;
      padding-left: 5%;
      padding-right: 5%;
      padding-top: 2%;
      padding-bottom: 2%;
      margin-bottom: 3%;
      background-color: rgb(139, 219, 19);
      border:none;
      transition: all 0.5s ease-in-out;
    }

    /*FOOTER*/
    #ikamet{
      position: relative;
      left: 0;
      
    }
    #ikamet:hover{
      text-decoration: underline;
    }

    #dropdownv2{
      position: relative;
      left:8%;
    }
    #dropdown2{
      position: relative;
      left:8%;
     
    }
    #content2{
      width: 100vw;
     position: absolute;
     right: -30vw;
    }
    
    #contentv2{
      width: 100vw;
     position: absolute;
     right: -35vw;
    }
  
    #footerDiv { height: auto; display: flex; flex-direction: column; align-items: center; text-align: center; }
  
    #akLogo { width: 40%; height: auto; margin: 0 auto; }
    
    #footerAdres, #footerSpan { width: 100%; text-align: center; position: static; padding: 0; }
    
    .footera { color: white; text-decoration: none; display: block; padding: 0.5em; }
   
    .footera:hover { text-decoration: underline; }
    
    #swyaz { display: flex; flex-direction: row; justify-content: center; align-items: center; flex-wrap: wrap; gap: 1em; margin-top: 1em; }
    
    #imo { width: 48px; height: 48px; }
    
    .whatsapp img { width: 50px; height: 50px; } 
                                             
   }
